## Error Domain and Types Error Domain and Types |

## Types and Values

#define | TUMBLER_ERROR_DOMAIN
#define | TUMBLER_ERROR
#define | TUMBLER_ERROR_MESSAGE_CREATION_FAILED
#define | TUMBLER_ERROR_MESSAGE_LOCAL_ONLY
#define | TUMBLER_ERROR_MESSAGE_CORRUPT_THUMBNAIL
#define | TUMBLER_ERROR_MESSAGE_SAVE_FAILED
#define | TUMBLER_ERROR_MESSAGE_NO_THUMB_OF_THUMB
#define | TUMBLER_ERROR_MESSAGE_NO_THUMBNAILER
#define | TUMBLER_ERROR_MESSAGE_SHUT_DOWN
#define | TUMBLER_ERROR_MESSAGE_UNSUPPORTED_FLAVOR
#define | TUMBLER_WARNING_VERSION_MISMATCH
#define | TUMBLER_WARNING_MALFORMED_FILE
#define | TUMBLER_WARNING_LOAD_FILE_FAILED
#define | TUMBLER_WARNING_LOAD_PLUGIN_FAILED
#define | TUMBLER_WARNING_PLUGIN_LACKS_SYMBOLS
enum | TumblerErrorEnum

## Includes

    #include <tumbler/tumbler.h>

## Description

## Functions

## Types and Values

### TUMBLER_ERROR_DOMAIN

    #define TUMBLER_ERROR_DOMAIN "Tumbler"

### TUMBLER_ERROR

    #define TUMBLER_ERROR (g_quark_from_static_string (TUMBLER_ERROR_DOMAIN))

### TUMBLER_ERROR_MESSAGE_CREATION_FAILED

    #define TUMBLER_ERROR_MESSAGE_CREATION_FAILED _("Thumbnail could not be inferred from file contents")

### TUMBLER_ERROR_MESSAGE_LOCAL_ONLY

    #define TUMBLER_ERROR_MESSAGE_LOCAL_ONLY _("Only local files are supported")

### TUMBLER_ERROR_MESSAGE_CORRUPT_THUMBNAIL

    #define TUMBLER_ERROR_MESSAGE_CORRUPT_THUMBNAIL _("Corrupt thumbnail PNG: '%s'")

### TUMBLER_ERROR_MESSAGE_SAVE_FAILED

    #define TUMBLER_ERROR_MESSAGE_SAVE_FAILED _("Could not save thumbnail to \"%s\"")

### TUMBLER_ERROR_MESSAGE_NO_THUMB_OF_THUMB

    #define TUMBLER_ERROR_MESSAGE_NO_THUMB_OF_THUMB _("The file \"%s\" is a thumbnail itself")

### TUMBLER_ERROR_MESSAGE_NO_THUMBNAILER

    #define TUMBLER_ERROR_MESSAGE_NO_THUMBNAILER _("No thumbnailer available for \"%s\"")

### TUMBLER_ERROR_MESSAGE_SHUT_DOWN

    #define TUMBLER_ERROR_MESSAGE_SHUT_DOWN _("The thumbnailer service is shutting down")

### TUMBLER_ERROR_MESSAGE_UNSUPPORTED_FLAVOR

    #define TUMBLER_ERROR_MESSAGE_UNSUPPORTED_FLAVOR _("Unsupported thumbnail flavor requested")

### TUMBLER_WARNING_VERSION_MISMATCH

    #define TUMBLER_WARNING_VERSION_MISMATCH "Version mismatch: %s"

### TUMBLER_WARNING_MALFORMED_FILE

    #define TUMBLER_WARNING_MALFORMED_FILE "Malformed file \"%s\": %s"

### TUMBLER_WARNING_LOAD_FILE_FAILED

    #define TUMBLER_WARNING_LOAD_FILE_FAILED "Failed to load the file \"%s\": %s"

### TUMBLER_WARNING_LOAD_PLUGIN_FAILED

    #define TUMBLER_WARNING_LOAD_PLUGIN_FAILED "Failed to load plugin \"%s\": %s"

### TUMBLER_WARNING_PLUGIN_LACKS_SYMBOLS

    #define TUMBLER_WARNING_PLUGIN_LACKS_SYMBOLS "Plugin \"%s\" lacks required symbols"

### enum TumblerErrorEnum

#### Members

TUMBLER_ERROR_UNSUPPORTED |  |
TUMBLER_ERROR_CONNECTION_ERROR |  |
TUMBLER_ERROR_INVALID_FORMAT |  |
TUMBLER_ERROR_IS_THUMBNAIL |  |
TUMBLER_ERROR_SAVE_FAILED |  |
TUMBLER_ERROR_UNSUPPORTED_FLAVOR |  |
TUMBLER_ERROR_NO_CONTENT |  |
TUMBLER_ERROR_SHUTTING_DOWN |  |
TUMBLER_ERROR_OTHER_ERROR_DOMAIN |  |